Bug 84260 - FORMATTING: Wrong CRC Costa Rica currency symbol
Summary: FORMATTING: Wrong CRC Costa Rica currency symbol
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other Linux (All)
: medium minor
Assignee: Julien Nabet
URL:
Whiteboard: BSA target:4.4.0 target:4.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-24 01:56 UTC by Rodolfo Quesada
Modified: 2014-10-08 12:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodolfo Quesada 2014-09-24 01:56:43 UTC
Problem description: 

Steps to reproduce:
1. Right click on a cell, select "Format Cell"
2. In "Category" select currency. 
3. Under "Format" a combo box to select the currency will appear. 
4. Search for "CRC ¢ Spanish (Costa Rica)"

Current behavior:
The symbol currently used for this currency is ¢ (cent in other currencies), whereas the official one, which is already reserved in Unicode as U+20A1 and rendered as ₡ (Two slanted bars crossing a capital 'C')., isn't used.  

The current format code is: 
[$¢-140A] #,##0.00;[RED]-[$¢-140A] #,##0.00

Expected behavior:

Just substituting the cent symbol for the colon symbol:

The description should be: "CRC ₡ Spanish (Costa Rica)"

The correct format code should be: 
[$₡-140A] #,##0.00;[RED]-[$₡-140A] #,##0.00

More information on the symbol: 
https://en.wikipedia.org/wiki/Costa_Rican_col%C3%B3n

Thanks for looking into this! Greetings from the rainy Costa Rica. 
Operating System: Linux (Other)
Version: 4.2.6.2 release
Comment 1 Adolfo Jayme 2014-09-24 09:52:16 UTC
Thank you for your bug report.
Comment 2 Julien Nabet 2014-09-24 20:15:23 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 3 Commit Notification 2014-09-24 20:24:33 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa33dd16b0e3075f28c56656678c0f5cb7642222

Resolves fdo#84260: Wrong CRC Costa Rica currency symbol



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2014-09-24 20:31:41 UTC
Gerrit review for 4.3 branch: https://gerrit.libreoffice.org/11635

Let's wiat for the review before putting this one to FIXED.
Comment 5 Commit Notification 2014-09-25 08:23:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d75c75e50e96bec00305258fcc8961c6e780db3f&h=libreoffice-4-3

Resolves fdo#84260: Wrong CRC Costa Rica currency symbol


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2014-09-25 08:40:15 UTC
Let's put this one to FIXED now.
(Have in mind it's ok from future 4.3.3, see https://wiki.documentfoundation.org/ReleasePlan#4.3_release)